config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/clamd.conf.new
config etc/clamd-milter.conf.new
config etc/freshclam.conf.new
config var/log/clamav-update.new

# Check for the users

if ! grep -q clamav /etc/group; then
    groupadd clamav
fi

if ! grep -q clamav /etc/passwd; then
    useradd -g clamav -d /var/lib/clamav -c "Clamav User" -s /bin/false clamav
fi

# Now perms

(chown -R clamav:clamav /var/lib/clamav)
(chown -R clamav:clamav /var/run/clamav-milter)
(chown -R clamav:clamav /var/log/clamav-update)
echo "You should update your signatures right away with"
echo "/etc/cron.daily/clamav-update"

( cd usr/lib ; rm -rf libclamav.so.1 )
( cd usr/lib ; ln -sf libclamav.so.1.0.7 libclamav.so.1 )
( cd usr/lib ; rm -rf libclamav.so )
( cd usr/lib ; ln -sf libclamav.so.1.0.7 libclamav.so )
